# EwTools-package
This is a toolbox with helpful classes to be used when developing Everyware-projects. The entire documentation can be found [here](https://wiki.infomaker.se/display/IEUM/Everyware+Tools)

##### Current version: _0.1.7_
Versions of EwTools can be found [here](https://composer.infomaker.io/)

## Release notes

### 0.1.7

#### Improvements
+ Update Str-class with better handling.
+ minor fixes and optimizations
 
#### Features
+ Extend [tightenco/collect](https://packagist.org/packages/tightenco/collect?q=&hPP=20&idx=packagist&p=0&is_v=1#v5.4.33) aka Laravel Support/Collection for better support and maintenance
+ Add extra sting-manipulations to Str-class
 
### 0.1.6

#### Improvements
+ Improve articlelist widget with querytesting and updated handling of using templates
+ Improve OpenContent-class to use new query-builder and generalize search to open up for future features from OC

#### Features
+ New querybuilder for Open Content queries
+ New helper-class for handling feed-routing (Will provide means to register feed routes)

### 0.1.5

#### Bugfixes
+ Fix bug while fetching classes from Section model in widgets that connects widget to section.

#### Improvements
+ Improve Contenttype/Article class with handy functionality.

#### Features
+ Added new Query-builder for creating Open content queries

### 0.1.4

#### Bugfixes
+ Minor fixes and refactoring

### 0.1.3

#### Improvements
+ Update Twig support to v1.34.4 and add support for deprecated functions
+ Update caching of twig templates by refactoring of code and by separating template-caching into one key/template instead of one that holds all templates.
+ Add more stable management for sections and settings parameters.

#### Features
+ Add ArticleBody-class to handle the article-text by adding functionality to separate text into paragraphs and manipulating content.

#### Bugfixes
+ Minor fixes and updating of documentation.